<?php
// Netify Firewall Agent
// Copyright (C) 2015-2017 eGloo Incorporated <http://www.egloo.ca>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

// Netify protocol list, generated using the following:
// # netifyd -P |\
// #   egrep -v '(Placeholder|Uninitialized)' |\
// #   egrep -v '^\/' |\
// #   awk -F: '{ gsub(/ /, "", $1); gsub(/ /, "", $2); printf "\t%d => \"%s\",\n",$1,$2 }' |\
// #   sed -e 's/ / /g'
$nfa_protocols = array(
    0 => "Unknown",
    1 => "FTP_CONTROL",
    2 => "POP3",
    3 => "SMTP",
    4 => "IMAP",
    5 => "DNS",
    6 => "IPP",
    7 => "HTTP",
    8 => "MDNS",
    9 => "NTP",
    10 => "NetBIOS",
    11 => "NFS",
    12 => "SSDP",
    13 => "BGP",
    14 => "SNMP",
    15 => "XDMCP",
    16 => "SMBv1",
    17 => "Syslog",
    18 => "DHCP",
    19 => "PostgreSQL",
    20 => "MySQL",
    22 => "Direct_Download_Link",
    23 => "POPS",
    24 => "AppleJuice",
    25 => "DirectConnect",
    27 => "COAP",
    28 => "VMware",
    29 => "SMTPS",
    30 => "FacebookZero",
    31 => "UBNTAC2",
    32 => "Kontiki",
    33 => "OpenFT",
    34 => "FastTrack",
    35 => "Gnutella",
    36 => "eDonkey",
    37 => "BitTorrent",
    38 => "SkypeCall",
    40 => "Memcached",
    41 => "SMBv23",
    42 => "Mining",
    43 => "NestLogSink",
    44 => "Modbus",
    45 => "WhatsAppVideo",
    46 => "DataSaver",
    47 => "Xbox",
    48 => "QQ",
    49 => "TikTok",
    50 => "RTSP",
    51 => "IMAPS",
    52 => "IceCast",
    53 => "PPLive",
    54 => "PPStream",
    55 => "Zattoo",
    56 => "ShoutCast",
    57 => "Sopcast",
    58 => "Tvants",
    59 => "TVUplayer",
    60 => "HTTP_Download",
    61 => "QQLive",
    62 => "Thunder",
    63 => "Soulseek",
    64 => "SSL_No_Cert",
    65 => "IRC",
    66 => "Ayiya",
    67 => "Unencrypted_Jabber",
    69 => "Oscar",
    71 => "BattleField",
    73 => "VRRP",
    74 => "Steam",
    75 => "HalfLife2",
    76 => "WorldOfWarcraft",
    77 => "Telnet",
    78 => "STUN",
    79 => "IPsec",
    80 => "GRE",
    81 => "ICMP",
    82 => "IGMP",
    83 => "EGP",
    84 => "SCTP",
    85 => "OSPF",
    86 => "IP_in_IP",
    87 => "RTP",
    88 => "RDP",
    89 => "VNC",
    90 => "PcAnywhere",
    91 => "SSL",
    92 => "SSH",
    93 => "Usenet",
    94 => "MGCP",
    95 => "IAX",
    96 => "TFTP",
    97 => "AFP",
    98 => "Stealthnet",
    99 => "Aimini",
    100 => "SIP",
    101 => "TruPhone",
    102 => "ICMPV6",
    103 => "DHCPV6",
    104 => "Armagetron",
    105 => "Crossfire",
    106 => "Dofus",
    107 => "Fiesta",
    108 => "Florensia",
    109 => "Guildwars",
    110 => "HTTP_ActiveSync",
    111 => "Kerberos",
    112 => "LDAP",
    113 => "MapleStory",
    114 => "MsSQL-TDS",
    115 => "PPTP",
    116 => "Warcraft3",
    117 => "WorldOfKungFu",
    121 => "Dropbox",
    125 => "Skype",
    127 => "DCE_RPC",
    128 => "NetFlow",
    129 => "sFlow",
    130 => "HTTP_Connect",
    131 => "HTTP_Proxy",
    132 => "Citrix",
    138 => "CHECKMK",
    139 => "AJP",
    142 => "WhatsApp",
    146 => "Radius",
    148 => "TeamViewer",
    150 => "LotusNotes",
    151 => "SAP",
    152 => "GTP",
    153 => "UPnP",
    154 => "LLMNR",
    155 => "RemoteScan",
    156 => "Spotify",
    158 => "H323",
    159 => "OpenVPN",
    160 => "NOE",
    161 => "CiscoVPN",
    162 => "TeamSpeak",
    164 => "CiscoSkinny",
    165 => "RTCP",
    166 => "RSYNC",
    167 => "Oracle",
    168 => "Corba",
    170 => "Whois-DAS",
    171 => "Collectd",
    172 => "SOCKS",
    173 => "Nintendo",
    174 => "RTMP",
    175 => "FTP_DATA",
    177 => "ZeroMQ",
    181 => "Megaco",
    182 => "Redis",
    183 => "Pando_Media_Booster",
    184 => "VHUA",
    185 => "Telegram",
    188 => "QUIC",
    189 => "WhatsAppVoice",
    190 => "EAQ",
    191 => "Ookla",
    192 => "AMQP",
    194 => "KakaoTalk_Voice",
    196 => "HTTPS",
    198 => "MPEG_TS",
    201 => "GoogleHangout",
    204 => "BJNP",
    205 => "DNSoverHTTPS",
    206 => "Free",
    207 => "SMPP",
    209 => "TINC",
    213 => "Starcraft",
    214 => "Teredo",
    216 => "HEP",
    222 => "MQTT",
    223 => "RX",
    226 => "Git",
    227 => "DRDA",
    229 => "SOMEIP",
    230 => "FIX",
    235 => "CSGO",
    236 => "LISP",
    237 => "Diameter",
    238 => "ApplePush",
    242 => "WhatsAppFiles",
    243 => "125.netify.skype",
    244 => "202.netify.microsoft",
    245 => "10005.netify.google-hangouts",
    246 => "140.netify.apple",
    247 => "10301.netify.dell",
    248 => "68.netify.msn",
    249 => "135.netify.waze",
    250 => "156.netify.spotify",
    251 => "10028.netify.minecraft",
    252 => "10238.netify.crave",
    253 => "10285.netify.lg-smart-tv",
    254 => "10025.netify.symantec",
    255 => "10201.netify.epic-games",
    256 => "10001.netify.analytics",
    257 => "10087.netify.moatads",
    258 => "10202.netify.samsung",
    259 => "10003.netify.steam",
    260 => "10150.netify.ikea",
    261 => "10009.netify.thescore",
    262 => "10041.netify.google-ads",
    263 => "10184.netify.amazon-prime",
    264 => "10242.netify.atlassian",
    265 => "197.netify.opendns",
    266 => "10284.netify.sony-bravia",
    267 => "10234.netify.xbox",
    268 => "178.netify.amazon",
    269 => "10029.netify.amazon-kindle",
    270 => "199.netify.snapchat",
    271 => "10031.netify.clearcenter",
    272 => "10162.netify.fox-news",
    273 => "10157.netify.abc-news",
    274 => "10014.netify.cbc",
    275 => "145.netify.apple-itunes",
    276 => "147.netify.windows-update",
    277 => "10288.netify.trend-micro",
    278 => "10040.netify.life360",
    279 => "10007.netify.android",
    280 => "126.netify.google",
    281 => "10257.netify.ctv",
    282 => "122.netify.gmail",
    283 => "10193.netify.bitdefender",
    284 => "10166.netify.dropbox-phishing",
    285 => "10272.netify.canadian-tire-bank",
    286 => "10189.netify.mcafee",
    287 => "10033.netify.netify",
    288 => "124.netify.youtube",
    289 => "119.netify.facebook",
    290 => "10250.netify.supercell",
    291 => "10000.netify.doubleclick",
    292 => "10066.netify.td",
    293 => "10219.netify.xhamster",
    294 => "176.netify.wikipedia",
    295 => "10283.netify.bloomberg",
    296 => "10262.netify.logmein",
    297 => "10186.netify.avast",
    298 => "205.netify.office-365",
    299 => "10225.netify.softether",
    300 => "10002.netify.github",
    301 => "10045.netify.comscore",
    302 => "10049.netify.the-weather-network",
    303 => "180.netify.cnn",
    304 => "10306.netify.clearfoundation",
    305 => "143.netify.apple-icloud",
    306 => "10099.netify.ibm",
    307 => "10290.netify.rescueassist",
    308 => "10091.netify.amazon-aws",
    309 => "10191.netify.spybot",
    310 => "10034.netify.hubspot",
    311 => "10063.netify.paypal",
    312 => "10019.netify.rbc",
    313 => "10236.netify.azure",
    314 => "10134.netify.constant-contact",
    315 => "10013.netify.amazon-advertising",
    316 => "10015.netify.globe-and-mail",
    317 => "10105.netify.360security",
    318 => "10264.netify.teams",
    319 => "10163.netify.conversant-media",
    320 => "10017.netify.outlook",
    321 => "10197.netify.wolters-kluwer",
    322 => "10076.netify.diply",
    323 => "10056.netify.chartbeat",
    324 => "10050.netify.intercom",
    325 => "10298.netify.amobee",
    326 => "10027.netify.nhl",
    327 => "10299.netify.cloudflare-dns",
    328 => "10240.netify.signal",
    329 => "10008.netify.espn",
    330 => "10094.netify.rubiconproject",
    331 => "10084.netify.clashroyale",
    332 => "10016.netify.rockstar-games",
    333 => "10205.netify.google-domains",
    334 => "203.netify.hotspot-shield",
    335 => "10260.netify.fedora-project",
    336 => "121.netify.dropbox",
    337 => "10116.netify.orange",
    338 => "10200.netify.nimble-storage",
    339 => "10138.netify.solarwinds",
    340 => "10218.netify.rbackup",
    341 => "10136.netify.gsuite",
    342 => "10275.netify.panda-security",
    343 => "10112.netify.spam-experts",
    344 => "10143.netify.jive-communications",
    345 => "10289.netify.bank-of-america",
    346 => "10139.netify.sporting-news",
    347 => "10110.netify.root-servers",
    348 => "10165.netify.iboss",
    349 => "10169.netify.the-trade-desk",
    350 => "10248.netify.bootstrap",
    351 => "10035.netify.shopify",
    352 => "10239.netify.weather-underground",
    353 => "10141.netify.lansolutions",
    354 => "10108.netify.baidu",
    355 => "123.netify.google-maps",
    356 => "10083.netify.clashofclans",
    357 => "10188.netify.malwarebytes",
    358 => "10266.netify.chaturbate",
    359 => "70.netify.yahoo",
    360 => "10018.netify.receipt-bank",
    361 => "10226.netify.bing-maps",
    362 => "10161.netify.doubleverify",
    363 => "10224.netify.nbcuni",
    364 => "207.netify.microsoft-onedrive",
    365 => "10182.netify.areyouahuman",
    366 => "10010.netify.reddit",
    367 => "10254.netify.gtld-servers",
    368 => "10130.netify.exponential",
    369 => "10177.netify.urban-airship",
    370 => "201.netify.instagram",
    371 => "10048.netify.accuweather",
    372 => "10243.netify.ringcentral",
    373 => "10233.netify.gsma",
    374 => "10004.netify.google-plus",
    375 => "10247.netify.mailchimp",
    376 => "10154.netify.one-by-aol",
    377 => "10180.netify.hotdog-radio",
    378 => "10181.netify.tplink-cloud",
    379 => "10020.netify.playstation",
    380 => "10249.netify.fontawesome",
    381 => "10145.netify.hp",
    382 => "10042.netify.crashlytics",
    383 => "10271.netify.canadian-tire",
    384 => "10101.netify.drawbridge",
    385 => "10216.netify.weatherflow",
    386 => "10252.netify.adblock-plus",
    387 => "10213.netify.datto",
    388 => "10276.netify.flir",
    389 => "10097.netify.gotjunk",
    390 => "120.netify.twitter",
    391 => "179.netify.ebay",
    392 => "10053.netify.queens-university",
    393 => "10214.netify.lets-encrypt",
    394 => "10085.netify.stripe",
    395 => "10058.netify.soundcloud",
    396 => "10146.netify.hayday",
    397 => "10107.netify.imdb",
    398 => "10287.netify.discord",
    399 => "10079.netify.timhortons",
    400 => "10172.netify.anthem-insurance",
    401 => "10291.netify.iheartradio",
    402 => "10090.netify.similarweb",
    403 => "10065.netify.bmo",
    404 => "10052.netify.wikispaces",
    405 => "10151.netify.openoffice",
    406 => "10263.netify.amazon-cloudfront",
    407 => "10011.netify.akamai",
    408 => "10043.netify.transit-app",
    409 => "10223.netify.telehop",
    410 => "10078.netify.amp",
    411 => "10086.netify.optimizely",
    412 => "10106.netify.craigslist",
    413 => "10124.netify.aliexpress",
    414 => "10227.netify.slack",
    415 => "10230.netify.teamviewer",
    416 => "10170.netify.yahoo-mail",
    417 => "163.netify.tor",
    418 => "206.netify.cloudflare",
    419 => "10160.netify.duckduckgo",
    420 => "10153.netify.salesforce",
    421 => "10103.netify.bluestacks",
    422 => "10012.netify.quantcast",
    423 => "10038.netify.userengage",
    424 => "10192.netify.webroot",
    425 => "10127.netify.musical.ly",
    426 => "10026.netify.mlb",
    427 => "10245.netify.taplytics",
    428 => "10173.netify.mediamath",
    429 => "10128.netify.convertro",
    430 => "10235.netify.nbc-news",
    431 => "133.netify.netflix",
    432 => "10178.netify.appsflyer",
    433 => "10190.netify.kaspersky",
    434 => "10024.netify.comodo",
    435 => "196.netify.quickplay",
    436 => "10255.netify.gracenote",
    437 => "10308.netify.rackspace",
    438 => "204.netify.orange-cinema-series",
    439 => "195.netify.twitch",
    440 => "10221.netify.adamnetworks",
    441 => "10095.netify.bidswitch",
    442 => "10222.netify.1password",
    443 => "10148.netify.linux-mint",
    444 => "10210.netify.freshdesk",
    445 => "10231.netify.sonicwall",
    446 => "10168.netify.rhythmone",
    447 => "10199.netify.crownpeak",
    448 => "10268.netify.identrust",
    449 => "10070.netify.wordpress",
    450 => "10279.netify.speedtest",
    451 => "10155.netify.towerdata",
    452 => "10069.netify.pinterest",
    453 => "10156.netify.turner",
    454 => "10075.netify.imgur",
    455 => "142.netify.whatsapp",
    456 => "10131.netify.spamhaus",
    457 => "10061.netify.ntp",
    458 => "10270.netify.new-relic",
    459 => "10006.netify.reverse-dns",
    460 => "10051.netify.mixpanel",
    461 => "10060.netify.airbnb",
    462 => "10077.netify.cineplex",
    463 => "10081.netify.adcolony",
    464 => "10137.netify.synology",
    465 => "10152.netify.appnexus",
    466 => "10207.netify.gravatar",
    467 => "10068.netify.linkedIn",
    468 => "10021.netify.teamsnap",
    469 => "10212.netify.makerbot",
    470 => "10265.netify.bell-media",
    471 => "10073.netify.miniclip",
    472 => "10118.netify.outbrain",
    473 => "10023.netify.verisign",
    474 => "10046.netify.nintendo",
    475 => "10304.netify.rapidssl",
    476 => "10147.netify.digicert",
    477 => "10256.netify.ubuntu",
    478 => "10237.netify.pushover",
    479 => "10126.netify.zendesk",
    480 => "10125.netify.cheetahmobile",
    481 => "10119.netify.adobe",
    482 => "10241.netify.netsuite",
    483 => "10176.netify.autonavi",
    484 => "10183.netify.33across",
    485 => "10185.netify.telegram",
    486 => "10037.netify.ea-games",
    487 => "10055.netify.vimeo",
    488 => "10092.netify.pubmatic",
    489 => "10167.netify.smugmug",
    490 => "10258.netify.grafana",
    491 => "10100.netify.addthis",
    492 => "10080.netify.firefox",
    493 => "10102.netify.plex",
    494 => "187.netify.pandora",
    495 => "10286.netify.youporn",
    496 => "10269.netify.conviva",
    497 => "10273.netify.mydlink",
    498 => "10175.netify.the-weather-channel",
    499 => "10132.netify.spamcop",
    500 => "10282.netify.alibaba",
    501 => "10036.netify.internal-network",
    502 => "10114.netify.sina",
    503 => "10261.netify.ipstack",
    504 => "10123.netify.pornhub",
    505 => "10208.netify.unity-games",
    506 => "10292.netify.acronis",
    507 => "10294.netify.pingcom",
    508 => "10293.netify.adaware",
    509 => "10071.netify.blogger",
    510 => "149.netify.tuenti",
    511 => "10296.netify.fitbit",
    512 => "10074.netify.kijiji",
    513 => "10115.netify.sohu",
    514 => "10067.netify.tumblr",
    515 => "10194.netify.sophos",
    516 => "10274.netify.cyren",
    517 => "10295.netify.meraki",
    518 => "10277.netify.pusher",
    519 => "10104.netify.mapbox",
    520 => "10280.netify.norton",
    521 => "10281.netify.fastly",
    522 => "10089.netify.edmodo",
    523 => "10267.netify.tunein",
    524 => "10211.netify.box-net",
    525 => "10039.netify.roblox",
    526 => "10098.netify.criteo",
    527 => "200.netify.deezer",
    528 => "10251.netify.origin-ea",
    529 => "10109.netify.taobao",
    530 => "10158.netify.gramin",
    531 => "10220.netify.clamav",
    532 => "10259.netify.centos",
    533 => "10122.netify.hao123",
    534 => "10196.netify.ninite",
    535 => "10198.netify.purple-mattress",
    536 => "10203.netify.docker",
    537 => "10204.netify.gitlab",
    538 => "10206.netify.tapjoy",
    539 => "10142.netify.disqus",
    540 => "10244.netify.bbc",
    541 => "10246.netify.braze",
    542 => "10253.netify.broadcom-gps",
    543 => "10300.netify.google-dns",
    544 => "10302.netify.tiktok",
    545 => "10303.netify.flurry",
    546 => "10305.netify.manitu-hosting",
    547 => "10121.netify.yandex",
    548 => "10093.netify.openx",
    549 => "10195.netify.avira",
    550 => "10174.netify.eicar",
    551 => "10120.netify.canada-government",
    552 => "10159.netify.tronc",
    553 => "10232.netify.surbl",
    554 => "10129.netify.whois",
    555 => "10149.netify.xerox",
    556 => "210.netify.weibo",
    557 => "10111.netify.tmall",
    558 => "10096.netify.ipinfo",
    559 => "10059.netify.fyber",
    560 => "10144.netify.fandom",
    561 => "10135.netify.suretymail",
    562 => "10278.netify.branch-io",
    563 => "10133.netify.uribl",
    564 => "10171.netify.cigna",
    565 => "10209.netify.cisco",
    566 => "10229.netify.inel",
    567 => "193.netify.kakaotalk",
    568 => "141.netify.webex",
    569 => "48.netify.qq",
    570 => "10088.netify.vice",
    571 => "186.netify.vevo",
    572 => "10217.netify.nist",
    573 => "10307.netify.qnap",
    574 => "10062.netify.wish",
    575 => "10030.netify.xero",
    576 => "10187.netify.eset",
    577 => "10022.netify.bing",
    578 => "10057.netify.nest",
    579 => "10064.netify.cibc",
    580 => "10297.netify.agkn-com",
    581 => "10032.netify.egloo",
    582 => "10179.netify.voip-ms",
    583 => "134.netify.last-fm",
    584 => "10164.netify.tmz",
    585 => "10228.netify.zoom",
    586 => "10140.netify.3cx",
    587 => "10072.netify.agario",
    588 => "10082.netify.kik",
    589 => "10113.netify.vk",
    590 => "10117.netify.jingdong"
);

// vi: expandtab shiftwidth=4 softtabstop=4 tabstop=4
